% This GD can be used together with dist_video_wall_shared2.gd. 
% This GD plays the movie of a DVD, selecting audio-track 0 and chapter 2.
% It splits the video in two parts and displays each part in two windows
% running on different hosts.
%
% Note: A serverregistry must be running on all participating hosts
%
% command:  clic dist_video_wall_shared.gd

  DVDReadNode     # setSharingType(EXCLUSIVE_THEN_SHARED) 
                  $ select(1, 2, 1) OUTPUT_INITIALIZED
! MPEGDemuxNode   # setSharingType(EXCLUSIVE_THEN_SHARED) 
{
   { ["ac3_audio0"]  ! AC3DecodeNode 
                     ! PlaybackNode
   }
   { ["mpeg_video0"] ! MPEGVideoDecodeNode
                     ! VideoCropNode        $ setCrop(0,0, 384, 288) INITIALIZED
                     ! XDisplayNode         
   }
   { ["mpeg_video0"] ! MPEGVideoDecodeNode  # setLocation("frame")
                     ! VideoCropNode        # setLocation("frame")
                                            $ setCrop(384,0,384, 288) INITIALIZED
                     ! XDisplayNode         # setLocation("frame")  
   }
}
