
#ifndef NMM_ITaskMgrStateImpl_HPP
#define NMM_ITaskMgrStateImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITaskMgrState.hpp"


namespace NMM
{

  class ITaskMgrStateImpl  : public virtual NMMObject { 
  public:
    ITaskMgrStateImpl() { addInterface(new ITaskMgrState(*this)); registerEvents(); };

    virtual ~ITaskMgrStateImpl() {};

  protected:

    virtual void getTaskList(list<string > & tasks) = 0;


  private:
    void registerEvents();
  };

}

#endif
