
#ifndef NMM_ISetBufferLabelImpl_HPP
#define NMM_ISetBufferLabelImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ISetBufferLabel.hpp"


namespace NMM
{

  class ISetBufferLabelImpl  : public virtual NMMObject { 
  public:
    ISetBufferLabelImpl() { addInterface(new ISetBufferLabel(*this)); registerEvents(); };

    virtual ~ISetBufferLabelImpl() {};

  protected:

    virtual Result setBufferLabel(const string& stream, const int& label) /* in-stream */  = 0;


  private:
    void registerEvents();
  };

}

#endif
