
#include "IConnectionManagerImpl.hpp"


namespace NMM
{
  
  void IConnectionManagerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IConnectionManager::handleConnect_event, new TEDObject2<IConnectionManagerImpl, TSAddress*, TSAddress*, void(IConnectionManagerImpl:: * )(const TSAddress*, TSAddress*&) const, void >(this, &IConnectionManagerImpl::handleConnect));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableEvent_event, new TEDObject2<IConnectionManagerImpl, NMMReference, Event, Result(IConnectionManagerImpl:: * )(const NMMReference&, Event&) const, Result >(this, &IConnectionManagerImpl::sendReliableEvent));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableConfigEvent_event, new TEDObject2<IConnectionManagerImpl, NMMReference, Event, Result(IConnectionManagerImpl:: * )(const NMMReference&, Event&) const, Result >(this, &IConnectionManagerImpl::sendReliableConfigEvent));
  
    getEventDispatcher().registerEvent(IConnectionManager::sendReliableInstreamMessage_event, new TEDObject2<IConnectionManagerImpl, NMMReference, CEvent, Result(IConnectionManagerImpl:: * )(const NMMReference&, CEvent&) const, Result >(this, &IConnectionManagerImpl::sendReliableInstreamMessage));
  
    getEventDispatcher().registerEvent(IConnectionManager::getSupportedStrategies_event, new TEDObject1<IConnectionManagerImpl, Format, list<string > (IConnectionManagerImpl:: * )(const Format&) const, list<string >  >(this, &IConnectionManagerImpl::getSupportedStrategies));

  }

}


