
#ifndef NMM_IEncodeImpl_HPP
#define NMM_IEncodeImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "IEncode.hpp"


namespace NMM
{

  class IEncodeImpl  : public virtual NMMObject { 
  public:
    IEncodeImpl() { addInterface(new IEncode(*this)); registerEvents(); };

    virtual ~IEncodeImpl() {};

  protected:

    virtual void setQuality(const float& quality) = 0;

    virtual void setBitrate(const int& bitrate) = 0;

    virtual float getQuality() = 0;

    virtual int getBitrate() = 0;


  private:
    void registerEvents();
  };

}

#endif
