
#ifndef NMM_ITVGuideProducerImpl_HPP
#define NMM_ITVGuideProducerImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ITVGuideProducer.hpp"

#include "nmm/interfaces/misc/tvguide/ITVGuideImpl.hpp"

namespace NMM
{

  class ITVGuideProducerImpl  : public virtual NMMObject { 
  public:
    ITVGuideProducerImpl() { addInterface(new ITVGuideProducer(*this)); registerEvents(); };

    virtual ~ITVGuideProducerImpl() {};

  protected:
    /**
     * Registers the ITVGuide-Interface to add Program-Information to the database
     *\param itvg ITVGuide-Interface
     */

    virtual void registerTVGuideServer(const ITVGuide* itvg) = 0;


  private:
    void registerEvents();
  };

}

#endif
