
#include "IKeyframe.hpp"
#include "nmm/base/InterfaceFactory.hpp"


namespace NMM
{
  
  
  Result IKeyframe::setKeyframe() /* in-stream */ 
      throw(const Exception&)
  {
    TOutValue<Result > return_value;
    Event event("IKeyframe::setKeyframe");
    event.setReturnValue(&return_value);
    if(sendEvent(event) == FAILURE) {
      if (event.getException()) {
        throw Exception(*event.getException());
      }
    }
    return return_value.getRValue();
  }

  const char* IKeyframe::IKeyframe_type = "IKeyframe";
  TIFactoryObject<IKeyframe > __IKeyframe_prototype("IKeyframe");


  const char* IKeyframe::setKeyframe_event = "IKeyframe::setKeyframe";
  Event* IKeyframe::create_setKeyframe()
  {

    return new Event("IKeyframe::setKeyframe");
  }



}


