
#include "IWidgetFactoryImpl.hpp"


namespace NMM
{
  
  void IWidgetFactoryImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IWidgetFactory::createWidgetComposite_event, new TEDObject0<IWidgetFactoryImpl, IWidgetComposite*(IWidgetFactoryImpl:: * )(), IWidgetComposite* >(this, &IWidgetFactoryImpl::createWidgetComposite));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createProgressBar_event, new TEDObject0<IWidgetFactoryImpl, IProgressBar*(IWidgetFactoryImpl:: * )(), IProgressBar* >(this, &IWidgetFactoryImpl::createProgressBar));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createTextView_event, new TEDObject0<IWidgetFactoryImpl, ITextView*(IWidgetFactoryImpl:: * )(), ITextView* >(this, &IWidgetFactoryImpl::createTextView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createTimeView_event, new TEDObject0<IWidgetFactoryImpl, ITimeView*(IWidgetFactoryImpl:: * )(), ITimeView* >(this, &IWidgetFactoryImpl::createTimeView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createImageView_event, new TEDObject0<IWidgetFactoryImpl, IImageView*(IWidgetFactoryImpl:: * )(), IImageView* >(this, &IWidgetFactoryImpl::createImageView));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createRadioButtons_event, new TEDObject0<IWidgetFactoryImpl, IRadioButtons*(IWidgetFactoryImpl:: * )(), IRadioButtons* >(this, &IWidgetFactoryImpl::createRadioButtons));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createButtons_event, new TEDObject0<IWidgetFactoryImpl, IButtons*(IWidgetFactoryImpl:: * )(), IButtons* >(this, &IWidgetFactoryImpl::createButtons));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createBorderDecorator_event, new TEDObject1<IWidgetFactoryImpl, IWidget, IBorderDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IBorderDecorator* >(this, &IWidgetFactoryImpl::createBorderDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createHeaderDecorator_event, new TEDObject1<IWidgetFactoryImpl, IWidget, IHeaderDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IHeaderDecorator* >(this, &IWidgetFactoryImpl::createHeaderDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createPlaneDecorator_event, new TEDObject1<IWidgetFactoryImpl, IWidget, IPlaneDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IPlaneDecorator* >(this, &IWidgetFactoryImpl::createPlaneDecorator));
  
    getEventDispatcher().registerEvent(IWidgetFactory::createScrollDecorator_event, new TEDObject1<IWidgetFactoryImpl, IWidget, IScrollDecorator*(IWidgetFactoryImpl:: * )(const IWidget&), IScrollDecorator* >(this, &IWidgetFactoryImpl::createScrollDecorator));

  }

}


