#ifndef NMM_IPERF_17
#define NMM_IPERF_17 NMM_IPERF_17

#include <string>
#include "Listener.hpp"
#include "Speaker.hpp"

using namespace std;

namespace NMM {

class IPerf17 {

    bool client_running;

    Listener *theListener ;
    Speaker  *theSpeaker  ;
    Settings* gSettings_c ;
    Condition gQuit_cond;

  public:
    IPerf17();
    void deinit();
    void startClient(float& speed, const string host, uint port = 22802, uint time = 10, uint parallel = 1);

    void startAsyncClient(const string host, uint port = 22802 , uint time = 10, uint parallel = 1);

    void getClientSpeed(float& speed);

    void startServer(uint port = 22802);

    void waitUntilQuit( void );

};

}

#endif
