%This GraphDescription reads an MP3-File from a specified remote host, converts it on local host
%and uses a PlaybackNode from a second server registry on the remote host listening on a different port.
%Furhtermore, this GraphDescription shows the usage of possible parameter that can be specified.
%For further information read the clic doku (http://graphics.cs.uni-sb.de/NMM/current/Docs/helloworld.pdf)
%NOTE: A serverregistry must be running on remote host
%
%command on remotehost penumbra:         serverregistry
%command on remotehost penumbra:         serverregistry -p 12345
%command on localhost:          clic parameter_example.gd -i <mp3-file>


GenericReadNode   # setLocation("penumbra")
                  # setPort(12345)
                  # setSharingType(EXCLUSIVE)

                  $ setEventStrategy("TCPStrategy")
                  $ setFilename("/home/repplix/mp3/02-evanescence-bring_me_to_life-rns.mp3") CONSTRUCTED

                  @ setBufferStrategy("TCPStrategy")
                  @ Format("audio/mpeg")
! MPEGAudioDecodeNode
                  $ setDownstreamMaxSize(1, "default") CONSTRUCTED

                  @ Format("audio/raw", sample_rate = 44100)

! PlaybackNode    # setLocation("penumbra")

