
#include "ISinkFileHandlerImpl.hpp"


namespace NMM
{
  
  void ISinkFileHandlerImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ISinkFileHandler::setWorkingDirectory_event, new TEDObject1<ISinkFileHandlerImpl, string, void(ISinkFileHandlerImpl:: * )(const string&), void >(this, &ISinkFileHandlerImpl::setWorkingDirectory));
  
    getEventDispatcher().registerEvent(ISinkFileHandler::getWorkingDirectory_event, new TEDObject0<ISinkFileHandlerImpl, string(ISinkFileHandlerImpl:: * )(), string >(this, &ISinkFileHandlerImpl::getWorkingDirectory));
  
    getEventDispatcher().registerEvent(ISinkFileHandler::setFileExtension_event, new TEDObject1<ISinkFileHandlerImpl, string, void(ISinkFileHandlerImpl:: * )(const string&), void >(this, &ISinkFileHandlerImpl::setFileExtension));
  
    getEventDispatcher().registerEvent(ISinkFileHandler::getFileExtension_event, new TEDObject0<ISinkFileHandlerImpl, string(ISinkFileHandlerImpl:: * )(), string >(this, &ISinkFileHandlerImpl::getFileExtension));

  }

}


