
#ifndef NMM_ICopyImpl_HPP
#define NMM_ICopyImpl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/NMMObject.hpp"
#include "ICopy.hpp"


namespace NMM
{

  class ICopyImpl  : public virtual NMMObject { 
  public:
    ICopyImpl() { addInterface(new ICopy(*this)); registerEvents(); };

    virtual ~ICopyImpl() {};

  protected:

    virtual void setNumberOfOutputs(const int& value) = 0;


  private:
    void registerEvents();
  };

}

#endif
