
#ifndef NMM_IIPControl_HPP
#define NMM_IIPControl_HPP

#include "nmm/NMMTypes.hpp"
#include "nmm/base/Interface.hpp"
#include "nmm/base/Event.hpp"
#include <memory>


namespace NMM
{

  class IIPControl : virtual public Interface { 
  public:
    IIPControl() {  setTypeInfo(TypeInfo(IIPControl::IIPControl_type, "NMM")); };

    IIPControl(NMMObject& parent) : Interface(parent) {  setTypeInfo(TypeInfo(IIPControl::IIPControl_type, "NMM")); setEventReceiver(parent); };

    virtual ~IIPControl() {};

    static const char* IIPControl_type;

    virtual  string getInterfaceType() const { return IIPControl_type; }

    Interface* copy() const { return new IIPControl(*this); }
    static const char* test_event;

    virtual void test()
      throw(const Exception&);


  };

  typedef auto_ptr<IIPControl> IIPControl_var;




}

#endif
