
#include "IRTPParametersImpl.hpp"


namespace NMM
{
  
  void IRTPParametersImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkMediaType_event, new TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkMediaType));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkPayloadType_event, new TEDObject0<IRTPParametersImpl, unsigned char(IRTPParametersImpl:: * )() const, unsigned char >(this, &IRTPParametersImpl::getRTPSinkPayloadType));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkMapLine_event, new TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkMapLine));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSinkAuxSDPLine_event, new TEDObject0<IRTPParametersImpl, string(IRTPParametersImpl:: * )() const, string >(this, &IRTPParametersImpl::getRTPSinkAuxSDPLine));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPSeqNum_event, new TEDObject0<IRTPParametersImpl, unsigned short(IRTPParametersImpl:: * )() const, unsigned short >(this, &IRTPParametersImpl::getRTPSeqNum));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPTimestamp_event, new TEDObject0<IRTPParametersImpl, unsigned int(IRTPParametersImpl:: * )() const, unsigned int >(this, &IRTPParametersImpl::getRTPTimestamp));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTPPort_event, new TEDObject0<IRTPParametersImpl, unsigned int(IRTPParametersImpl:: * )() const, unsigned int >(this, &IRTPParametersImpl::getRTPPort));
  
    getEventDispatcher().registerEvent(IRTPParameters::getRTCPPort_event, new TEDObject0<IRTPParametersImpl, unsigned int(IRTPParametersImpl:: * )() const, unsigned int >(this, &IRTPParametersImpl::getRTCPPort));

  }

}


