
#include "ICameraImpl.hpp"


namespace NMM
{
  
  void ICameraImpl::registerEvents()
  {
  
    getEventDispatcher().registerEvent(ICamera::setBrightness_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setBrightness));
  
    getEventDispatcher().registerEvent(ICamera::setAutoExposure_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setAutoExposure));
  
    getEventDispatcher().registerEvent(ICamera::setSharpness_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setSharpness));
  
    getEventDispatcher().registerEvent(ICamera::setWhiteBalance_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setWhiteBalance));
  
    getEventDispatcher().registerEvent(ICamera::setBlueBalance_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setBlueBalance));
  
    getEventDispatcher().registerEvent(ICamera::setRedBalance_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setRedBalance));
  
    getEventDispatcher().registerEvent(ICamera::setHue_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setHue));
  
    getEventDispatcher().registerEvent(ICamera::setSaturation_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setSaturation));
  
    getEventDispatcher().registerEvent(ICamera::setGamma_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setGamma));
  
    getEventDispatcher().registerEvent(ICamera::setShutter_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setShutter));
  
    getEventDispatcher().registerEvent(ICamera::setGain_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setGain));
  
    getEventDispatcher().registerEvent(ICamera::setIris_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setIris));
  
    getEventDispatcher().registerEvent(ICamera::setFocus_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setFocus));
  
    getEventDispatcher().registerEvent(ICamera::setZoom_event, new TEDObject1<ICameraImpl, int, void(ICameraImpl:: * )(const int&), void >(this, &ICameraImpl::setZoom));
  
    getEventDispatcher().registerEvent(ICamera::onePush_event, new TEDObject0<ICameraImpl, void(ICameraImpl:: * )(), void >(this, &ICameraImpl::onePush));
  
    getEventDispatcher().registerEvent(ICamera::getBrightness_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getBrightness));
  
    getEventDispatcher().registerEvent(ICamera::getAutoExposure_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getAutoExposure));
  
    getEventDispatcher().registerEvent(ICamera::getSharpness_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getSharpness));
  
    getEventDispatcher().registerEvent(ICamera::getWhiteBalance_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getWhiteBalance));
  
    getEventDispatcher().registerEvent(ICamera::getBlueBalance_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getBlueBalance));
  
    getEventDispatcher().registerEvent(ICamera::getRedBalance_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getRedBalance));
  
    getEventDispatcher().registerEvent(ICamera::getHue_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getHue));
  
    getEventDispatcher().registerEvent(ICamera::getSaturation_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getSaturation));
  
    getEventDispatcher().registerEvent(ICamera::getGamma_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getGamma));
  
    getEventDispatcher().registerEvent(ICamera::getShutter_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getShutter));
  
    getEventDispatcher().registerEvent(ICamera::getGain_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getGain));
  
    getEventDispatcher().registerEvent(ICamera::getIris_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getIris));
  
    getEventDispatcher().registerEvent(ICamera::getFocus_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getFocus));
  
    getEventDispatcher().registerEvent(ICamera::getZoom_event, new TEDObject0<ICameraImpl, int(ICameraImpl:: * )() const, int >(this, &ICameraImpl::getZoom));
  
    getEventDispatcher().registerEvent(ICamera::getBrightnessRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getBrightnessRange));
  
    getEventDispatcher().registerEvent(ICamera::getAutoExposureRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getAutoExposureRange));
  
    getEventDispatcher().registerEvent(ICamera::getSharpnessRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getSharpnessRange));
  
    getEventDispatcher().registerEvent(ICamera::getWhiteBalanceRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getWhiteBalanceRange));
  
    getEventDispatcher().registerEvent(ICamera::getHueRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getHueRange));
  
    getEventDispatcher().registerEvent(ICamera::getSaturationRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getSaturationRange));
  
    getEventDispatcher().registerEvent(ICamera::getGammaRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getGammaRange));
  
    getEventDispatcher().registerEvent(ICamera::getShutterRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getShutterRange));
  
    getEventDispatcher().registerEvent(ICamera::getGainRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getGainRange));
  
    getEventDispatcher().registerEvent(ICamera::getIrisRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getIrisRange));
  
    getEventDispatcher().registerEvent(ICamera::getFocusRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getFocusRange));
  
    getEventDispatcher().registerEvent(ICamera::getZoomRange_event, new TEDObject0<ICameraImpl, pair<int, int > (ICameraImpl:: * )() const, pair<int, int >  >(this, &ICameraImpl::getZoomRange));
  
    getEventDispatcher().registerEvent(ICamera::hasBrightness_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasBrightness));
  
    getEventDispatcher().registerEvent(ICamera::hasAutoExposure_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasAutoExposure));
  
    getEventDispatcher().registerEvent(ICamera::hasSharpness_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasSharpness));
  
    getEventDispatcher().registerEvent(ICamera::hasWhiteBalance_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasWhiteBalance));
  
    getEventDispatcher().registerEvent(ICamera::hasHue_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasHue));
  
    getEventDispatcher().registerEvent(ICamera::hasSaturation_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasSaturation));
  
    getEventDispatcher().registerEvent(ICamera::hasGamma_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasGamma));
  
    getEventDispatcher().registerEvent(ICamera::hasShutter_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasShutter));
  
    getEventDispatcher().registerEvent(ICamera::hasGain_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasGain));
  
    getEventDispatcher().registerEvent(ICamera::hasIris_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasIris));
  
    getEventDispatcher().registerEvent(ICamera::hasFocus_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasFocus));
  
    getEventDispatcher().registerEvent(ICamera::hasZoom_event, new TEDObject0<ICameraImpl, bool(ICameraImpl:: * )() const, bool >(this, &ICameraImpl::hasZoom));

  }

}


