
#include "IImageView.hpp"
#include "nmm/base/InterfaceFactory.hpp"


namespace NMM
{
  
  
  void IImageView::setBitmapID(const string& id)
      throw(const Exception&)
  {
    TInValue<string > id_value(id, false);
    Event event("IImageView::setBitmapID", &id_value);
    if(sendEvent(event) == FAILURE) {
      if (event.getException()) {
        throw Exception(*event.getException());
      }
    }
  }

  const char* IImageView::IImageView_type = "IImageView";
  TIFactoryObject<IImageView > __IImageView_prototype("IImageView");


  const char* IImageView::setBitmapID_event = "IImageView::setBitmapID";


}


